#
# spec file for package cups (Version 1.3.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cups
BuildRequires:  avahi-compat-mDNSResponder-devel dbus-1-devel gcc-c++
BuildRequires:  krb5-devel libpng-devel libtiff-devel openldap2-devel
BuildRequires:  openslp-devel openssl-devel pam-devel pkg-config tcpd-devel
BuildRequires:  fdupes update-desktop-files
PreReq:         textutils, fileutils, sh-utils, %insserv_prereq,
PreReq:         %fillup_prereq /usr/sbin/groupadd
Url:            http://www.cups.org/
License:        GPLv2+
Group:          Hardware/Printing
Summary:        The Common UNIX Printing System
Version:        1.3.11
Release:        4.5.1
Requires:       cups-libs = %{version}, cups-client = %{version}
Requires:       ghostscript_any, ghostscript-fonts-std, foomatic-filters
Requires:       util-linux /usr/bin/pdftops
%if 0%{?suse_version} >= 1100
Requires:       pdftools_any
%endif
Suggests:       poppler-tools
Conflicts:      plp lprold lprng
Obsoletes:      cups-SUSE-ppds-dat
# URL for Source0: http://ftp.easysw.com/pub/cups/1.3.11/cups-1.3.11-source.tar.bz2
# MD5 sum for Source0 on http://www.cups.org/software.php is 17f3e2bcb3cae3dd9dceb65a2bfd295f
Source0:        cups-%{version}-source.tar.bz2
Source1:        poll_ppd_base.c
Source2:        lphelp.c
Source3:        dvitops
Source4:        pswrite
Source7:        ogonki
Source8:        cups.init
Source9:        http://amaru.ti6.tu-harburg.de/portal/Members/ti6ntm/Projekte/Printanalyzer/PrintAnalyzer
Source10:       http://homepages.nyu.edu/~ml1100/files/quosnmp
Source11:       setcupsbroadcasting
Source12:       postscript.ppd.bz2
Source13:       cups.sysconfig
Source14:       cups.xinetd
Source15:       PSLEVEL1.PPD.bz2
Source16:       PSLEVEL2.PPD.bz2
Source17:       cups.SuSEfirewall2
Source18:       http://download.sourceforge.net/cups-mailto/cups-pdf.ppd
Source19:       http://download.sourceforge.net/cups-mailto/cups-pstopdf
Source20:       cups-krb5-config
Source21:       cups-client.conf
Source22:       cups-1.4svn-pdftops.c
Patch1:         cups-1.3.3-mime.patch
Patch2:         cups-1.2.0-ppdsdat_generation.patch
Patch3:         cups-1.2rc1-template.patch
Patch4:         cups-1.2.7-libwrap.patch
Patch5:         cups-pam.diff
Patch6:         cups-1.3.6-access_conf.patch
# Patch9 cups-1.1.21rc2-preauth_security.patch is finally removed
# since CUPS 1.3.10 because it was made for CUPS 1.1 and
# it was no longer applied since CUPS 1.2 in Suse Linux 10.3 and
# we did not get any user or SLE11 customer request for it.
# Patch10 cups-1.1.21rc2-usermode.patch is finally removed
# since CUPS 1.3.10 because it was made for CUPS 1.1 and
# can no longer apply since CUPS 1.2 in Suse Linux 10.3 because
# RunAsUser in cupsd.conf is no longer supported since CUPS 1.2.
Patch12:        cups-1.3.3-pswrite.patch
# Patch13 cups-1.1.21-umlaut_printer.patch is finally removed
# since CUPS 1.3.10 because it was made for CUPS 1.1 and
# it was no longer applied since CUPS 1.2 in Suse Linux 10.3 and
# we did not get any user or SLE11 customer request for it.
Patch14:        cups-1.1.21-testppd_duplex.patch
Patch15:        cups-1.2.11-testppd_filename.patch
Patch16:        cups-1.3.9-desktop_file.patch
Patch17:        cups-1.3.3-testppd_none.patch
# Patch18 cups-1.4svn-pdftops_as_filter.patch is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch19 cups-1.4svn-pdftops_dont_fail_on_cancel.patch is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
Patch20:        cups-1.3.7-keeping_recommended.patch
Patch21:        cups-1.3.7-lppasswd_fixperm.patch
Patch22:        cups-1.3.7-additional_policies.patch
# Patch23 cups-1.3.9-cupstestppd.patch  is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch24 cups-1.3.9-max_subscription.patch is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch25 cups-1.3.9-filter_png_overflow2.patch  is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch26 cups-1.3.9-hpgltops2.patch is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch27 cups-1.3.9-cupsImageReadTiff.patch is obsolete
# since CUPS 1.3.10 because it is fixed in the source.
# Patch28 cups-1.3.10-fix-DNS-rebinding-protection.patch is obsolete
# since CUPS 1.3.11 because it is fixed in the source.
# Patch29 full_path_to_configure_with-pdftops.patch adds support
# to specify a full path in 'configure --with-pdftops=/usr/bin/pdftops'
# to avoid 'BuildRequires: xpdf-tools' which would bloat the build system
# but would be only needed to satisfy 'AC_PATH_PROG(CUPS_PDFTOPS, pdftops)'
# in cups-pdf.m4 if only 'configure --with-pdftops=pdftops' was possible:
Patch29:        full_path_to_configure_with-pdftops.patch
# Patch30 fixes CUPS Web Interface Cross-Site Scripting (XSS) and CRLF injection in HTTP headers,
# (CVE-2009-2820 and Novell/Suse Bugzilla bnc#548317):
Patch30:        cups-1.3.11-CVE-2009-2820.patch
# Patch31 fixes a regression which was introduced by Patch30
# now adding a class via web interface fails with 'Unknown operation "{op}"'
# (Novell/Suse Bugzilla bnc#548317 starting at comment #24):
Patch31:        cups-1.3.11-CVE-2009-2820-regression-fix.patch
# Patch32 is an incomplete fix (the Patch33 below provides the rest of the fix)
# for a use-after-free bug in the scheduler which leads to remote denial of service,
# (CVE-2009-3553, CUPS STR #3200, and Novell/Suse Bugzilla bnc#554861):
Patch32:        cups-1.3.9-CVE-2009-3553.patch
# Patch33 provides the rest of the fix for the incomplete fix in Patch32
# to fix a use-after-free bug in the scheduler which leads to remote denial of service,
# (CVE-2010-0302, and Novell/Suse Bugzilla bnc#578215):
Patch33:        cups-1.3.9-CVE-2010-0302.patch
# Patch34 fixes a lppasswd format string bug,
# (CVE-2010-0393, CUPS STR #3482, and Novell/Suse Bugzilla bnc#574336):
Patch34:        cups-1.3.9-CVE-2010-0393.patch
# Patch100 cups-1.1.23-testpage.patch is finally removed
# since CUPS 1.3.10 because it was made for CUPS 1.1 and
# it was no longer applied since CUPS 1.2 in Suse Linux 10.3 and
# we did not get any user or SLE11 customer request for it.
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define CPUs %(grep -c ^processor\  /proc/cpuinfo || echo 1)

%package libs
License:        GPLv2+ ; LGPLv2.1+
Summary:        Libraries for CUPS
Group:          Hardware/Printing
# bug437293
%ifarch ppc64
Obsoletes:      cups-libs-64bit
%endif
#

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains libraries needed by CUPS and
some other packages.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package client
License:        GPLv2+
Summary:        CUPS Client Programs
Group:          Hardware/Printing
Conflicts:      plp lprold lprng
Requires:       cups-libs = %{version}

%description client
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains all programs needed for
running a CUPS client, not a server.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package devel
License:        GPLv2+
Summary:        Development Environment for CUPS
Group:          Development/Libraries/C and C++
Requires:       %{name}-libs = %{version} openssl-devel glibc-devel krb5-devel
# bug437293
%ifarch ppc64
Obsoletes:      cups-devel-64bit
%endif
#

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This is the development package.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%prep
# Be quiet when unpacking:
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
%patch6 -p1
%patch12 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
# Patch29 full_path_to_configure_with-pdftops.patch adds support
# for 'configure --with-pdftops=/usr/bin/pdftops':
%patch29
# Patch30 fixes CUPS Web Interface Cross-Site Scripting (XSS) and CRLF injection in HTTP headers,
# (CVE-2009-2820 and Novell/Suse Bugzilla bnc#548317):
%patch30 -p1
# Patch31 fixes a regression which was introduced by Patch30
# now adding a class via web interface fails with 'Unknown operation "{op}"'
# (Novell/Suse Bugzilla bnc#548317 starting at comment #24):
%patch31
# Patch32 is an incomplete fix (the Patch33 below provides the rest of the fix)
# for a use-after-free bug in the scheduler which leads to remote denial of service,
# (CVE-2009-3553, CUPS STR #3200, and Novell/Suse Bugzilla bnc#554861):
%patch32
# Patch33 provides the rest of the fix for the incomplete fix in Patch32
# to fix a use-after-free bug in the scheduler which leads to remote denial of service,
# (CVE-2010-0302, and Novell/Suse Bugzilla bnc#578215):
%patch33
# Patch34 fixes a lppasswd format string bug,
# (CVE-2010-0393, CUPS STR #3482, and Novell/Suse Bugzilla bnc#574336):
%patch34
if [ -f /.buildenv ]; then
	. /.buildenv
	test -z "$BUILD_DISTRIBUTION_NAME" && BUILD_DISTRIBUTION_NAME="%{?distribution}"
fi
test -z "$BUILD_DISTRIBUTION_NAME" && BUILD_DISTRIBUTION_NAME="personal build CUPS version"
# fix hardcoded $_libdir path to real architecture dependend $_libdir
perl -pi -e 's|(CUPS_SERVERBIN=\")\$exec_prefix/lib|$1'%{_libdir}'|' \
	config-scripts/cups-directories.m4
cp -a %{SOURCE9} .
cp -a %{SOURCE10} .
%{INSTALL_SCRIPT} %{SOURCE20} krb5-config

%build
# To build the /usr/lib/cups/filter/pdftops filter
# (via the configure options --enable-pdftops, --with-pdftops=pdftops)
# the config-scripts/cups-pdf.m4 tests if there is a pdftops executable in its path
# which could be satisfied with 'BuildRequires: xpdf-tools' which would bloat the build system
# so that we fake a pdftops executable with the following link:
ln -s /bin/true pdftops
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
aclocal
autoconf
%if %suse_version >= 1010
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2 -fno-strict-aliasing -fstack-protector"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector -DLDAP_DEPRECATED"
%else
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2 -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%endif
export CXX=g++
KRB5CONFIG=${PWD}/krb5-config ./configure \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--with-docdir=%{_defaultdocdir}/%{name} \
	--with-cups-user=lp \
	--with-cups-group=lp \
	--enable-pie \
	--enable-relro \
	--enable-gssapi \
	--disable-static \
	--without-rcdir \
	--enable-dbus \
	--enable-ldap \
	--with-java \
	--with-php \
	--with-python \
	--with-python \
	--with-cachedir \
	--with-pdftops=/usr/bin/pdftops \
	--prefix=/
# perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fstack-protector -fno-strict-aliasing:' Makedefs
# perl -pi -e 's:^(INSTALL_BIN\s+\=.*)-s:$1:' Makedefs
# for debugging enable:
#perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fno-strict-aliasing -g -DDEBUG:' Makedefs
#perl -pi -e 's:^(OPTIM\s+\=):$1 -g -DDEBUG:' Makedefs
make CXX=g++
# Compile additional tools
gcc -opoll_ppd_base $CFLAGS -fPIC -fPIE -pie -I. -L./cups %{SOURCE1} -lcups 
gcc -olphelp $CFLAGS -fPIC -fPIE -pie -I. -L./cups %{SOURCE2} -lcups

%install
make	BUILDROOT=$RPM_BUILD_ROOT \
	install
if [ x%{version} = x"1.1.18" ]; then
	mv $RPM_BUILD_ROOT/usr/sbin/cupstestppd \
		$RPM_BUILD_ROOT/usr/bin/cupstestppd 
fi
# place CUPS-O-MATIC script in CUPS filter directory
%{INSTALL_SCRIPT} %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/cups/filter
# might no longer be needed: ln -s /etc/cups/printcap $RPM_BUILD_ROOT/etc
# install the two little tools
install -m 755 poll_ppd_base $RPM_BUILD_ROOT/usr/bin/
install -m 755 lphelp $RPM_BUILD_ROOT/usr/bin/
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_SCRIPT} %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/cups
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE13} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.cups
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT/etc/init.d/cups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rccups
#
rm -r $RPM_BUILD_ROOT/usr/share/cups/fonts
#mkdir -p /usr/share/ghostscript/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
ln -sf /usr/share/ghostscript/fonts $RPM_BUILD_ROOT/usr/share/cups/
# make directory for ssl files:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl
# add old client.conf as reference:
%{INSTALL_DATA} %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/cups/client.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 644 -D packaging/cups-dbus.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/cups.conf
install -m 644 -D %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
ln -sf libcupsimage.so.2 $RPM_BUILD_ROOT%{_libdir}/libcupsimage.so
ln -sf libcups.so.2 $RPM_BUILD_ROOT%{_libdir}/libcups.so
ln -sf ../sbin/lpc $RPM_BUILD_ROOT/usr/bin/lpc # bugzilla#16652
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/drivers
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/cache/cups
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
install -m 644 -D conf/pam.suse $RPM_BUILD_ROOT/etc/pam.d/cups
install -m 755 PrintAnalyzer $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
install -m 755 quosnmp $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
for f in CHANGES*.txt CREDITS.txt INSTALL.txt LICENSE.txt README.txt; do
	install -m 644 "$f" $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
done
bzip2 -cd < %{SOURCE12} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript.ppd
bzip2 -cd < %{SOURCE15} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level1.ppd
bzip2 -cd < %{SOURCE16} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level2.ppd
%{INSTALL_DATA} %{SOURCE18} $RPM_BUILD_ROOT%{_datadir}/cups/model/PDF.ppd
find %{buildroot}/usr/share/cups/model -name "*.ppd" | while read FILE
do
    # change default paper size from letter to A4 if possible (bugzilla#30662)
    # and delete trailing whitespace
    perl -pi -e 's:^(\*Default.*)Letter\s*$:$1A4\n:; \
	s:^(\*ImageableArea A4.*\:\s+)"0 0 595 842":$1"24 48 571 818":; \
	s:^(\*ImageableArea Letter.*\:\s+)"0 0 612 792":$1"24 48 588 768":; \
	s:\s\n:\n:' \
	"$FILE"
    gzip -9 "$FILE"
done
# add files for menu
rm -f $RPM_BUILD_ROOT//usr/share/applications/cups.desktop
%suse_update_desktop_file -i -r %name PrintingUtility 2>/dev/null
mkdir $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/cups.png $RPM_BUILD_ROOT/usr/share/pixmaps
rm -rf $RPM_BUILD_ROOT/usr/share/icons
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_mandir}/es/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/fr/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/cat?
#
# SuSEfirewall2:
install -d $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/cups
# remove unknown locale directory
rm -rf $RPM_BUILD_ROOT/usr/share/locale/no
%fdupes $RPM_BUILD_ROOT

%clean
#test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 71 -o -r ntadmin 2>/dev/null || :

%post libs -p /sbin/ldconfig

%post
%{fillup_and_insserv -ny cups cups}

%preun
%stop_on_removal cups

%postun
%restart_on_update cups
%{insserv_cleanup}

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %attr(700,root,lp) %{_sysconfdir}/cups/ssl
%dir %attr(755,root,lp) %{_sysconfdir}/cups/ppd
%config(noreplace) %attr(640,root,lp) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %attr(640,root,lp) %{_sysconfdir}/cups/snmp.conf
%{_sysconfdir}/cups/cupsd.conf.default
%{_sysconfdir}/dbus-1/system.d/cups.conf
%config(noreplace) %attr(755,lp,lp) %{_sysconfdir}/cups/interfaces
%config(noreplace) %{_sysconfdir}/cups/mime.*
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/http
%{_libdir}/cups/backend/ipp
%{_libdir}/cups/backend/lpd
%{_libdir}/cups/backend/parallel
%{_libdir}/cups/backend/scsi
%{_libdir}/cups/backend/snmp
%{_libdir}/cups/backend/serial
%{_libdir}/cups/backend/socket
%{_libdir}/cups/backend/usb
%{_libdir}/cups/cgi-bin
%{_libdir}/cups/daemon
%dir %{_libdir}/cups/driver
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/[abd-z]*
%dir %{_libdir}/cups/monitor
%{_libdir}/cups/monitor/*
%dir %{_libdir}/cups/notifier
%{_libdir}/cups/notifier/*
%{_sbindir}/cupsaddsmb
%{_sbindir}/cupsctl
%{_sbindir}/cupsd
%{_sbindir}/cupsfilter
%{_sbindir}/rc*
%dir %attr(0775,root,ntadmin) /usr/share/cups/drivers
%dir /usr/share/cups
/usr/share/applications/cups.desktop
/usr/share/pixmaps/cups.png
/usr/share/cups/[bcf-t]*
/usr/share/cups/d[ao]*
%dir %attr(0775,lp,lp) /var/cache/cups
%config %attr(0755,root,root) /etc/init.d/cups
%config /etc/pam.d/cups
/var/adm/fillup-templates/sysconfig.cups
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*
%doc %{_mandir}/man8/*

%files client
%defattr(-,root,root)
%{_bindir}/lp
%{_bindir}/lpc
%{_bindir}/lphelp
%{_bindir}/lpoptions
%attr(2755,lp,lp) %{_bindir}/lppasswd
%{_bindir}/lpq
%{_bindir}/lpr
%{_bindir}/lprm
%{_bindir}/lpstat
%{_bindir}/cancel
%{_sbindir}/*able
%{_sbindir}/accept
%{_sbindir}/lp*
%{_sbindir}/reject
%doc %{_mandir}/man1/[a-eg-z]*

%files devel
%defattr(-,root,root)
%{_includedir}/cups
%{_libdir}/libcups.so
%{_libdir}/libcupsimage.so

%files libs
%defattr(-,root,root)
%{_bindir}/cups-config
# %dir %attr(0775,root,lp) %{_sysconfdir}/cups/
%dir %attr(0710,root,lp) %{_var}/spool/cups
%dir %attr(1770,root,lp) %{_var}/spool/cups/tmp
%dir %attr(0755,lp,lp) %{_var}/log/cups/
%config(noreplace) %{_sysconfdir}/cups/client.conf
%config(noreplace) /etc/sysconfig/SuSEfirewall2.d/services/cups
%{_libdir}/libcups.so.*
%{_libdir}/libcupsimage.so.*
%{_datadir}/locale/*/cups_*

%changelog
* Fri Mar  5 2010 jsmeix@suse.de
- Removed failing and obsolete "perl -pi ... PATCH100" line
  in cups.spec because PATCH100 was cups-1.1.23-testpage.patch
  which was removed since the upgrade to CUPS 1.3.10, see the
  changelog entry on "Wed Jun 24 14:02:29 CEST 2009" below.
* Fri Mar  5 2010 jsmeix@suse.de
- cups-1.3.9-CVE-2010-0393.patch fixes a lppasswd format string bug
  (CVE-2010-0393, CUPS STR #3482,
  and Novell/Suse Bugzilla bnc#574336).
* Wed Feb 10 2010 jsmeix@suse.de
- cups-1.3.9-CVE-2010-0302.patch provides the rest of the fix
  to fix the below mentioned use-after-free bug in the scheduler
  which leads to remote denial of service because the below
  cups-1.3.9-CVE-2009-3553.patch was an incomplete fix
  (CVE-2010-0302, and Novell/Suse Bugzilla bnc#578215).
* Tue Dec 15 2009 jsmeix@suse.de
- Fixed the URL and MD5 sum comments for Source0 in cups.spec.
- cups-1.3.9-CVE-2009-3553.patch fixes a use-after-free bug
  in the scheduler which leads to remote denial of service,
  (CVE-2009-3553, CUPS STR #3200,
  and Novell/Suse Bugzilla bnc#554861)
* Wed Nov 11 2009 jsmeix@suse.de
- cups-1.3.11-CVE-2009-2820-regression-fix.patch
  fixes a regression which was introduced by
  the previous cups-1.3.11-CVE-2009-2820.patch
  which lets adding a class via CUPS Web Interface fail
  with an 'Unknown operation "{op}"' error message
  (CUPS STR #3401 and
  Novell/Suse Bugzilla bnc#548317 starting at comment #24).
- cups-1.3.11-CVE-2009-2820.patch fixes CUPS Web Interface
  Cross-Site Scripting (XSS) and CRLF injection in HTTP headers
  (CVE-2009-2820 and CUPS STR #3367 and
  Novell/Suse Bugzilla bnc#548317).
* Wed Aug 26 2009 meissner@suse.de
- Fixed as-needed issues when compiling additional tools
  by using the right ordering of source and linked library
  in 'gcc -opoll_ppd_base ... SOURCE1 -lcups'
  and 'gcc -olphelp ... SOURCE2 -lcups' which
  obsoletes the 'export SUSE_ASNEEDED=0' workaround,
  see the 'Fri Jul 10 12:34:54 CEST 2009' entry below.
- Run fdupes.
* Fri Jul 31 2009 jsmeix@suse.de
- full_path_to_configure_with-pdftops.patch
  adds support to specify a full path in
  'configure --with-pdftops=/usr/bin/pdftops'
  to avoid 'BuildRequires: xpdf-tools' which would
  bloat the build system but would be only needed to
  satisfy 'AC_PATH_PROG(CUPS_PDFTOPS, pdftops)'
  in cups-pdf.m4 if only 'configure --with-pdftops=pdftops'
  was possible (Novell/Suse Bugzilla bnc#526847).
* Tue Jul 28 2009 jsmeix@suse.de
- Upgraded to CUPS 1.3.11:
  * The scheduler and cupsfilter utility would crash with
  certain MIME .types rules (CUPS STR #3159).
  * cups-1.3.10-fix-DNS-rebinding-protection.patch
  (Novell/Suse Bugzilla bnc#516511 and CUPS STR #3238)
  is obsolete since CUPS 1.3.11 because it is fixed
  in the source (it is fixed via CUPS STR #3164).
  * For a complete list see the CHANGES.txt file.
* Fri Jul 10 2009 jsmeix@suse.de
- Set 'export SUSE_ASNEEDED=0' in cups.spec because build fails
  with --as-needed so that this is for now simply disabled.
* Fri Jun 26 2009 jsmeix@suse.de
- cups-1.3.10-fix-DNS-rebinding-protection.patch fixes
  a regression of the CUPS 1.3.10 DNS rebinding protection which
  lets e.g. "lpoptions -h localhost -p <queue> -l" fail with
  "lpoptions: Unable to get PPD file for <queue>: Bad Request"
  and in /var/log/cups/error_log there is the warning
  W ... Request from "localhost" using invalid Host: field "::1"
  but "::1" is the IPv6 loopback IP address for "localhost"
  (Novell/Suse Bugzilla bnc#489624 comment#19 and bnc#516511).
* Wed Jun 24 2009 jsmeix@suse.de
- Upgraded to CUPS 1.3.10:
  * Use a wrapper program filter/pdftops.c which only calls
  /usr/bin/pdftops (via configure --with-pdftops=/usr/bin/pdftops)
  instead of the CUPS fork of the Xpdf source code which was in
  the pdftops directory (CUPS STR #3129). Because of this
  cups-1.4svn-pdftops_as_filter.patch and
  cups-1.4svn-pdftops_dont_fail_on_cancel.patch are obsolete
  since CUPS 1.3.10 (the latter was fixed via CUPS STR #2808).
  * The scheduler now protects against DNS rebinding attacks
  (CUPS STR #3118 and Novell/Suse Bugzilla bnc#489624).
  * cups-1.3.9-cupstestppd.patch is obsolete since CUPS 1.3.10
  because it is fixed in the source (CUPS STR #2979).
  * cups-1.3.9-max_subscription.patch is obsolete
  since CUPS 1.3.10 because it is fixed in the source
  (no CUPS STR but mentioned in CHANGES.txt "The scheduler
  would crash if you exceeded the MaxSubscriptions limit").
  * cups-1.3.9-filter_png_overflow2.patch is obsolete
  since CUPS 1.3.10 because it is fixed in the source
  (CUPS STR #2974 and Novell/Suse Bugzilla bnc#448631).
  * cups-1.3.9-hpgltops2.patch is obsolete since CUPS 1.3.10
  because it is fixed in the source (CUPS STR #2966 which is the
  successor of CUPS STR #2911 and Novell/Suse Bugzilla bnc#430543).
  * cups-1.3.9-cupsImageReadTiff.patch is obsolete
  since CUPS 1.3.10 because it is fixed in the source
  (CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895).
  * For a complete list see the CHANGES.txt file.
- cups-1.1.21rc2-preauth_security.patch and
  cups-1.1.21rc2-usermode.patch and
  cups-1.1.21-umlaut_printer.patch and
  cups-1.1.23-testpage.patch are finally removed
  since CUPS 1.3.10 because they were made for CUPS 1.1 and
  were no longer applied since CUPS 1.2 in Suse Linux 10.3.
  In particular cups-1.1.21rc2-usermode.patch can no longer
  apply since CUPS 1.2 because RunAsUser in cupsd.conf is
  no longer supported since CUPS 1.2, for more info see e.g. the
  "RunAsUser removed; reassurance wanted" mails on cups@easysw.com.
  Furthermore we neither got any Suse Linux/openSUSE user request
  nor any SLE11 beta-tester/customer request for them.
* Mon Jun  8 2009 crrodriguez@suse.de
- Replaced "--enable-static" by "--disable-static" in configure
  so that the static libraries /usr/lib[64]/libcups.a and
  /usr/lib[64]/libcupsimage.a are no longer built and included
  in the cups-devel package to enforce detection of other software
  which might be built with static CUPS libraries so that those
  other software could be fixed to use the dynamic libraries
  (see also Novell/Suse Bugzilla bnc#509945).
* Wed Jun  3 2009 jsmeix@suse.de
- Set BROADCAST="ipp" in cups.SuSEfirewall2 source file (which
  gets installed as /etc/sysconfig/SuSEfirewall2.d/services/cups)
  so that adding "cups" to allowed services in the firewall
  also allows CUPS Browsing information via UDP broadcasts
  (Novell/Suse Bugzilla bnc#498429).
* Thu Mar 26 2009 jsmeix@suse.de
- cups-1.3.9-cupsImageReadTiff.patch fixes an integer overflow
  in the "_cupsImageReadTIFF()" function CVE-2009-0163
  (CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895).
* Wed Jan 21 2009 kssingvo@suse.de
- added directory %%{libdir}/cups/driver to %%files of cups
  (bnc#465794)
* Wed Jan 14 2009 olh@suse.de
- obsolete old cups-libs-XXbit and cups-devel-XXbit correctly
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during
  distupgrade (bnc#437293)
* Fri Nov 28 2008 kssingvo@suse.de
- fixed permission of snmp.conf (bnc#449570)
* Tue Nov 25 2008 kssingvo@suse.de
- fix for png size validation CVE-2008-??? (bnc#448631)
- correction for hpgl pen selection fix CVE-2008-3641 (bnc#430543)
* Thu Nov 20 2008 kssingvo@suse.de
- fixed rss subscription issue (bnc#446975)
* Tue Nov  4 2008 kssingvo@suse.de
- missed to fix a further PPD file: stcolor2.ppd
* Thu Oct 30 2008 kssingvo@suse.de
- Obsoletes: cups-SUSE-ppds-dat (bnc#438763)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Oct 23 2008 kssingvo@suse.de
- fixed issues in PPD files: failing through internal tests
* Mon Oct 13 2008 kssingvo@suse.de
- update to 1.3.9, which is mainly a bugfix version. For a complete
  list see included CHANGES.txt file, but important changes were
  already included via patches before.
  Deleted patches:
  cups-1.3.8-custom_ppd_fix.patch (CUPS STR #2889)
  cups-1.3.8-ssl_firefox.patch (CUPS STR #2892)
  cups-1.3.8-cupsfilter_path.patch (CUPS STR #2908)
  cups-1.3.8-pjl_ready_message.patch (CUPS STR #2909)
  cups-1.3.8-listener_compare.patch (CUPS STR #2910)
  cups-1.3.8-manyjob_finish.patch (CUPS STR #2913)
  cups-1.3.8-resolver_reinit.patch (CUPS STR #2920)
  cups-1.3.8-startstop_msg.patch (CUPS STR #2927)
  cups-1.3.8-noclobber_symlink.patch (CUPS STR #2937)
  cups-1.3.8-more_debuginfo.patch (CUPS STR #2943)
  cups-1.3.8-hostlookup.patch (CUPS STR #2946)
  cups-1.3.8-ipp_stop_after_pause.patch
  cups-1.3.8-lose_printers_on_allowed_users.patch
  Updated patches:
  cups-1.2.5-desktop_file.patch
* Thu Oct  2 2008 kssingvo@suse.de
- bugfixes:
  * printer stops after IPP pause
  * pritners got lost when users are set in Set Allowed Users Dialog
* Thu Sep 25 2008 kssingvo@suse.de
- added und integrated latest patches from upstream bugzilla:
  cups-1.3.8-custom_ppd_fix.patch (CUPS STR #2889)
  cups-1.3.8-ssl_firefox.patch (CUPS STR #2892)
  cups-1.3.8-cupsfilter_path.patch (CUPS STR #2908)
  cups-1.3.8-pjl_ready_message.patch (CUPS STR #2909)
  cups-1.3.8-listener_compare.patch (CUPS STR #2910)
  cups-1.3.8-manyjob_finish.patch (CUPS STR #2913)
  cups-1.3.8-resolver_reinit.patch (CUPS STR #2920)
  cups-1.3.8-startstop_msg.patch (CUPS STR #2927)
  cups-1.3.8-noclobber_symlink.patch (CUPS STR #2937)
  cups-1.3.8-more_debuginfo.patch (CUPS STR #2943)
  cups-1.3.8-hostlookup.patch (CUPS STR #2946)
* Thu Sep 11 2008 kssingvo@suse.de
- removed hplip in init script: hplip is no more (bnc#390663)
* Tue Sep  9 2008 kssingvo@suse.de
- beautified $BUILD_DISTRIBUTION_NAME setting
* Sat Aug 23 2008 aj@suse.de
- Remove -p from fillups call.
* Wed Jul 23 2008 kssingvo@suse.de
- update to version 1.3.8:
  * bugfix version, which includes CVE-2008-1722
  * also includes some performance changes
  * refer to included CHANGES.txt file for full information
- removed obsolete patches
* Mon Jul 14 2008 kssingvo@suse.de
- removed deprecated use of %%run_ldconfig
- added avahi-compat-mDNSResponder-devel to BuildRequieres
  (bnc#398700)
- fixed typo in Policy "easy"
* Thu Jul 10 2008 kssingvo@suse.de
- added two additional policies to cupsd.conf (fate#303515)
* Wed Jul  9 2008 kssingvo@suse.de
- fixed abuild failure: ownership of lppasswd
* Tue Jul  1 2008 kssingvo@suse.de
- fix directory/setgid permissions for lppasswd use (bnc#404142)
* Wed Jun  4 2008 kssingvo@suse.de
- crash on startup when BrowseAddress has no value (bnc#396969)
* Mon May 19 2008 kssingvo@suse.de
- added pdftops_any for 11.0 to Requires: (bugzilla#378434)
* Thu May 15 2008 kssingvo@suse.de
- renamed use of CUPS_PDFTOPS to HAVE_PDFTOPS in pdftops.c, to
  avoid execute of gs (bnc#390435)
- removed earlykdm from init script, due to new less CPU consuming
  start of daemon now (bnc#388007)
* Wed May  7 2008 kssingvo@suse.de
- merged both pdftops patches to one
- removed "recommended" remover (bnc#387267)
* Tue Apr 22 2008 kssingvo@suse.de
- new version of pdftops filter from svn extracted
- changed the perror() calls in pdftops.c for cups-1.3.x compatibility
- fixed the ghostscript call via new variable (unnecessary -> removed)
- grabbed and applied the wait() fix for childs from cups STR
* Wed Apr 16 2008 kssingvo@suse.de
- fix for integer overflow in png filter CVE-2008-1722 (bugzilla#378335)
- not affected: CVE-2008-1693 (bugzilla#377872)
- added /usr/bin/pdftops to Requires:, and poppler-tools to Suggests:
* Fri Apr 11 2008 ro@suse.de
- explicitly specify pdftops binary for configure to avoid
  adding buildrequires just for a binary path
* Thu Apr 10 2008 coolo@suse.de
- take out poppler for now to break the cycle, Klaus will
  fix correctly later
* Thu Apr 10 2008 kssingvo@suse.de
- changes for PDF.ppd
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 kssingvo@suse.de
- pdftops uses now system command e.g. xpdf-tools (as in cups-1.4svn)
- due to requests: client.conf is back in /etc/cups
* Wed Apr  9 2008 kssingvo@suse.de
- fix for buildsystem: added wrapper script for krb5-config as the
  original output shows $CFLAGS $LIBDIR of cups.spec and rpath flags
  (bugzilla#378270)
* Tue Apr  8 2008 kssingvo@suse.de
- added missing directory /var/cache/cups to %%files
- added pstopdf filter (from cups-mailto project at sourceforge.net)
* Tue Apr  8 2008 kssingvo@suse.de
- enabled krb5 support on request (bugzilla#377645)
- enabled further configure options: gcc's relro, gssapi
- and for run of cupsd: java, php, python (needs further activation)
* Wed Apr  2 2008 kssingvo@suse.de
- update to version 1.3.7:
  bugfix version only, includes CVE-2008-0047 and CVE-2008-1373.
  Refer to included CHANGES.txt file for full information
- worked on INFO in init file
- removed references to version SUSE 8.01 in specfile
* Thu Mar  6 2008 kssingvo@suse.de
- fixed issue in cgi-bin search CVE-2008-0047 (bugzilla#367225)
* Fri Feb 29 2008 kssingvo@suse.de
- update to version 1.3.6:
  * Documentation updates
  * Fixed a problem with the web interface "Use Kerberos
    Authentication" check box
  * The scheduler unconditionally overwrote the printer-state-
    message with "process-name failed" when a filter or backend
    failed, preventing a useful error message from being shown to the
    user.
  * Policies on CUPS-Move-Job didn't work as expected
  * The configure script only supported D-BUS on Linux
  * The scheduler did not support </LimitExcept>
  * The scheduler did not reset the job-hold-until attribute after a
    job's hold time was reached.
  * The scheduler did not support printer supply attributes
  * The Kerberos credentials provided by some Windows KDCs were still
    too large - now use a dynamic buffer to support credentials up to
    64k in size
  * Printing a test page from the web interface incorrectly defaulted
    to the "guest" user
  * The cupsEncodeOptions2() function did not parse multiple- value
    attribute values properly
  * The scheduler incorrectly sent printer-stopped events for status
    updates from the print filters
  * The IPP backend could crash when handling printer errors
  * Multi-file jobs did not print to remote CUPS servers
  * The scheduler did not provide the Apple language ID to job
    filters.
  * Kerberos authentication did not work with the web interface
  * The requesing-user-name-allowed and -denied functionality did not
    work for Kerberos-authenticated usernames
  * CUPS didn't compile on HP-UX 11i
  * cupsEncodeOptions2() did not handle option values like "What's
    up, doc?" properly.
  * Added lots of memory allocation checks (Fortify)
  * The scheduler would crash if it was unable to add a job file
    (Fortify)
  * ppdOpen*() did not check all memory allocations (Coverity)
  * ippReadIO() did not check all memory allocations (Coverity)
  * The PostScript filter did not detect read errors (Coverity)
  * The scheduler did not check for a missing job-sheets-completed
    attribute when sending an event notification (Coverity)
  * "Set Printer Options" might not work with raw queues (Coverity)
  * cupsRasterInterpretPPD() could crash on certain PostScript errors
    (Coverity)
  * The USB backend did not check for back-channel support properly
    on all systems (Coverity)
  * Fixed memory leaks in the GIF and PNM image loading code
    (Coverity)
  * Removed some dead code in the CUPS API and scheduler (Coverity)
  * Fixed two overflow bugs in the HP-GL/2 filter (Coverity)
  * Fixed another ASN1 string parsing bug
  * The RSS notifier directory was not installed with the correct
    permissions.
  * The standard CUPS backends could use 100%% CPU while waiting for
    print data
  * Filename-based MIME rules did not work
  * The cups-polld program did not exit if the scheduler crashed
  * The scheduler would crash if you tried to set the port-monitor on
    a raw queue
  * The scheduler could crash if a polled remote printer was
    converted to a class
  * The web interface and cupsctl did not correctly reflect the
    "allow printing from the Internet" state
  * The scheduler incorrectly treated MIME types as case- sensitive
  * The Java support classes did not send UTF-8 strings to the
    scheduler
  * The CGI code did not handle interrupted POST requests properly
  * The PostScript filter incorrectly handled number-up when the
    number of pages was evenly divisible by the number-up value.
  * The PDF filter incorrectly filtered pages when page-ranges and
    number-up were both specified
  * The IPP backend did not handle printing of pictwps files to a
    non-Mac CUPS server properly.
  * The scheduler did not detect network interface changes on
    operating systems other than Mac OS X
  * The scheduler now logs the UNIX error message when it is unable
    to create a request file such as a print job.
  * Added support for --enable-pie on Mac OS X.
- adapted access_conf.patch to 1.3.6
* Tue Jan 15 2008 kssingvo@suse.de
- changed permissions in %%files according to cups (bugzilla#342772)
* Mon Jan  7 2008 kssingvo@suse.de
- update to version 1.3.5:
  * The SNMP backend did not check for negative string lengths
  * The scheduler incorrectly removed auth-info attributes,
    potentially leading to a loss of all options for a job.
  * The scheduler stopped sending CUPS browse packets on a restart
    when using fixed addresses
  * Fixed PDF filter security issues (CVE-2007-4352 CVE-2007-5392
    CVE-2007-5393)
  * Changing settings would always change the DefaultAuthType and
    Allow lines
  * The scheduler would crash when submitting an undefined format
    file from Samba with LogLevel debug2
  * The scheduler did not use poll() when epoll() was not supported
    by the running kernel
  * Fixed a compile problem with Heimdal Kerberos
  * The USB backend now retries connections to a printer
    indefinitely rather than stopping the queue.
  * Printers with untranslated JCL options were not exported to
    Samba correctly
  * The USB backend did not work with some Minolta USB printers
  * The strcasecmp() emulation code did not compile
  * The scheduler would crash if a job was sent to an empty class
  * The lpc command did not work in non-UTF-8 locales
  * Subscriptions for printer-stopped events also received other
    state changes
  * cupstestppd incorrectly reported translation errors for the
    "en" locale.
  * ppdOpen() did not handle custom options properly when the
    Custom attribute appeared before the OpenUI for that option.
  * The scheduler could crash when deleting a printer or listing
    old jobs.
  * The Mac OS X USB backend did not allow for requeuing of jobs
    submitted to a class.
  * lpmove didn't accept a job ID by itself.
  * The scheduler incorrectly removed job history information for
    remote print jobs.
  * The scheduler incorrectly sent the
    "com.apple.printerListChanged" message for printer state
    changes.
  * The PostScript filter drew the page borders (when enabled)
    outside the imageable area.
  * The LPD and IPP backends did not default to the correct port
    numbers when using alternate scheme names.
  * The scheduler incorrectly deleted hardwired remote printers on
    system sleep.
  * The scheduler would abort if a bad browse protocol name was
    listed in the cupsd.conf file.
  * The online cupsd.conf help file incorrectly showed "dns-sd"
    instead of "dnssd" for Bonjour sharing.
  * The scheduler could crash changing the port-monitor value.
  * The scheduler generated CoreFoundation errors when run as a
    background process.
  * When printing with number-up > 1, it was possible to get an
    extra blank page.
- removed CVE patches, which are already applied upstream
* Wed Dec 19 2007 crivera@suse.de
- Add dbus-1-devel to the BuildRequires.
* Mon Dec 17 2007 crivera@suse.de
- Add the --enable-dbus flag to the configure line to
  send DBUS signals out for queue change events.  This helps
  fix 345163.
* Wed Nov  7 2007 kssingvo@suse.de
- upgrade to version 1.3.4:
  * Documentation updates
  * CUPS now maps the "nb" locale to "no" on all platforms
  * CUPS did not work with a Windows 2003 R2 KDC
  * ippReadIO() could read past the end of a buffer
  * The scheduler would crash on shutdown if it was unable to
    create a Kerberos context.
  * Multiple AuthTypes in cupsd.conf did not work
  * The snmp.conf file referenced the wrong man page
  * The cupsaddsmb program didn't handle domain sockets properly
  * The scheduler now validates device URIs when adding printers.
  * Updated httpSeparateURI() to support hostnames with the
    backslash character.
  * Updated the Japanese localization
  * The parallel backend now gets the current IEEE-1284 device ID
    string on Linux
  * The IPP backend now checks the job status at variable
    intervals (from 1 to 10 seconds) instead of every 10 seconds
    for faster remote printing
  * "lpr -p" and "lpr -l" did not work
  * Compilation failed when a previous version of CUPS was
    installed and was included in the SSL include path
  * The scheduler did not reject requests with charsets other
    than US-ASCII or UTF-8, and the CUPS API incorrectly passed
    the locale charset to the scheduler instead of UTF-8
  * cups-deviced did not filter out duplicate devices.
  * The AppleTalk backend incorrectly added a scheme listing when
    AppleTalk was disabled or no printers were found.
  * The PostScript filter generated N^2 copies when the printer
    supported collated copies and user requested reverse-order
    output.
  * The scheduler did not reprint all of the files in a job that
    was held.
  * The scheduler did not update the printcap file after removing
    stale remote queues.
  * The cupsd.conf man page incorrectly referenced "AuthType
    Kerberos" instead of "AuthType Negotiate".
- fixes for xpdf CVE-2007-4352, CVE-2007-5393, CVE-2007-5392 (bugzilla#335637)
* Tue Oct 23 2007 kssingvo@suse.de
- fix for IPP boundaries swamp-14294, CVE-2007-4351 (bugzilla#335635)
* Mon Oct 15 2007 kssingvo@suse.de
- upgrade to version 1.3.3. Main features to 1.2.x:
  * Networking
  * Kerberos: CUPS now supports Kerberos authentication
  * Mac OS X Authorization Services: CUPS now supports the
    Authorization Services framework, providing role-based access
    control in addition to the tradition UNIX model
  * Peer Credentials: CUPS now supports authentication using peer
    credentials provided over UNiX domain sockets
  * SNMP Support: SNMP lookups are no longer performed by
    default, and IPP is no longer used for discovered printers
  * LPD Support; The LPD backend now supports a faster streaming
    mode that does not require a temporary file
  * Browsing
  * CUPS Browsing: The default configuration now shows shared
    printers from any address (not just @LOCAL)
  * DNS-SD (Bonjour/Zeroconf) Support: CUPS now supports printer
    sharing via DNS service discovery
  * LDAP w/SSL: CUPS now supports encrypted LDAP sessions
  * Web Interface
  * Internet Printer Sharing: You can now share printers over the
    Internet via the basic server settings
  * Improved On-Line Help: Searching the on-line help now shows
    results for all text, not just headings and links
  * Printer Setup: The available printer list is now only show
    when requested and the Add This Printer button now allows you
    to change the default name, location, and description
  * Printer Configuration: Raw printers and classes can now be
    configured using the Set Printer Options button
  * IPP Support
  * Job Printer Attributes: CUPS now provides
    job-printer-state-message and job-printer-state-reasons
    attributes containing copies of the corresponding printer
    attributes to provide important history information with each
    job
  * PPD Operations and Attributes: The new CUPS_GET_PPD operation
    allows you to retrieve PPD files from the scheduler; also,
    CUPS_GET_PPDS now reports more information and supports more
    value filters
  * Printer Defaults: The document-forma-default,
    notify-events-default, and notify-lease-duration-default
    attributes can be set for each printer and class
  * PWG Printer Alert Support: CUPS now supports the
    printer-alert and printer-alert-description attributes
  * Server-Side Options: Server-side default options can now be
    retrieved using the "printer-defaults" group keyword
  * Scheduler
  * Client Support: The scheduler now uses poll(), epoll(), or
    /dev/kqueue on platforms that provide them to support large
    numbers of clients
  * "Default" Authentication: You can now specify an AuthType of
    Default in locations and policies, which maps to the
    DefaultAuthType value
  * Larger Numbers of Clients: The scheduler now uses poll(),
    epoll(), or /dev/kqueue instead of select() when possible
  * New cupsctl Command: The new cupsctl command allows you to
    perform basic server configuration from the command-line
  * Printer Drivers
  * cupstestppd Improvements: The test utility now provides more
    extensive tests and options
  * Label Printer Driver: Added support for the Intellibar label
    printers
  * Localized Printer Drivers: The CUPS sample drivers are now
    localized in several languages
  * PJL Support: New cupsPJLCharset attribute controls character
    set for PJL strings
  * Pre-Filter Support: Drivers can now register format-specific
    filters to pre-screen print jobs
  * Side-Channel API; This new API provides out-of-band control
    of devices
  * CUPS API
  * Administration API: New cupsAdminGetServerSettings() and
    cupsAdminSetServerSettings() functions
  * Array API: New cupsArrayGetIndex(), cupsArrayGetInsert(), and
    cupsArrayNew2() functions
  * Destination API: New cupsRemoveDest() and
    cupsSetDefaultDest() functions
  * HTTP API: The http_t structure is now completely private
  * PPD API: New ppdLocalizeIPPReason()function and greatly
    improved ppdConflicts() performance
- added new files, adapted patches, and removed already included ones
* Tue Sep 18 2007 kssingvo@suse.de
- fix for missing newline before EOF in compressed files (bugzilla#309823)
* Mon Sep 17 2007 kssingvo@suse.de
- fix for exitcode on uiconstraints in cupstestppd (bugzilla#309822)
* Mon Sep 10 2007 kssingvo@suse.de
- patch: "None" needs to be valid value for cupstestppd (bugzilla#309219)
* Mon Aug  6 2007 kssingvo@suse.de
- fix for xpdf bugzilla#291690, CVE-2007-3387, swamp-11865
* Mon Jul 30 2007 kssingvo@suse.de
- upgrade to cups-1.2.12:
  * The PHP cups_print_file() function crashed if the options array
    contained non-string option values
  * The image/tiff file matching rule incorrectly identified some
    text files as TIFF files
  * The filter(7) man page incorrectly documented the "PAGE: total
    [#]-pages" message
  * PCL text files were mis-identified as HP-GL/2 and caused the
    HP-GL/2 filter to hang
  * When printing to a queue with user ACLs, the scheduler
    incorrectly returned a quota error instead of a "not allowed to
    print" error
  * cupsaddsmb could get in a loop if no printer drivers were
    installed
  * cupsRasterReadHeader() did not byte-swap the header properly
    when compiled with certain versions of GCC.
  * The IPP backend did not send the document-format attribute for
    filtered jobs
  * Some PPD files could cause a crash in ppdOpen2
  * The web admin interface incorrectly handled the "share
    printers" and "show remote printers" settings
  * The scheduler's log messages about AuthClass and AuthGroupName
    advised using a replacement directive but had the wrong syntax
  * Updated the PostScript/PJL and HP-GL/2 MIME rules to look in
    the first 4k of the file, not just the first 1k
  * Updated the Italian localization
- updated the mime and the psrewrite patch
* Mon Jun 25 2007 kssingvo@suse.de
- added quosnmp script to %%doc
* Wed Jun 20 2007 kssingvo@suse.de
- removed rccupsrenice: cups-1.2.x does no longer traversing of
  filesystem during startup. reason no longer present.
* Wed May 23 2007 kssingvo@suse.de
- fixed as many rpmlint errors as possible
* Thu May 10 2007 kssingvo@suse.de
- Upgrade to cups-1.2.11:
  * "make distclean" didn't remove all generated files
  * Fixed a bug in the advertisement of classes
  * The IPP backend now stays running until the job is actually
    printed by the remote server; previously it would stop
    monitoring the job if it was held or temporarily stopped
  * PDF files were not always printed using the correct orientation
  * The scheduler could crash if you specified a bad file: URI for
    a printer
  * The Renew-Subscription operation now returns the
    notify-lease-duration value that was used
  * The IPP backend sent job options to IPP printers, however some
    printers tried to override the options embedded in the PS/PCL
    stream with those job options
  * ppdLocalize() now also tries a country-specific localization
    for when localizing to a generic locale name.
  * The cupstestppd program now allows for partial localizations to
    reduce the size of universal PPD files.
  * Chinese PPD files were incorrectly tagged with the "cn" locale
    (should have been "zh")
  * The backends now manage the printer-state-reasons attribute
    more accurately
  * Java, PHP, Perl, and Python scripts did not work properly
  * The scheduler would take forever to start if the maximum number
    of file descriptors was set to "unlimited"
  * The page-ranges option was incorrectly applied to the banner
    pages
  * Fixed some GCC compile warnings
  * The DBUS notification code was broken for older versions of
    DBUS
  * The IPv6 code did not compile on HP-UX 11.23
  * PPD constraints did not work properly with custom options.
  * Regular PPD options with the name "CustomFoo" did not work.
  * The USB backend did not work on NetBSD
  * The printer-state-reasons attribute was incorrectly cleared
    after a job completed
  * The scheduler did not set the printer operation policy on
    startup, only on soft reload
  * The AP_FIRSTPAGE_InputSlot option did not clear any ManualFeed
    setting that was made, which caused problems with some PPD
    files
  * cupsDoFileRequest() and cupsDoRequest() did not abort when
    getting an error in the response
  * The scheduler did not schedule jobs properly to remote or
    nested classes
  * Updated the mime.types and mime.convs headers to warn that the
    files are overwritten when CUPS is installed. Local changes
    should go in local.types or local.convs, respectively
  * The scheduler could get in an infinite loop if a printer in an
    implicit class disappeared
  * The pstops filter did not handle %%%%EndFeature comments properly
  * Fixed a problem with the Polish web page printer icons
  * ppdLocalize() now also localizes the cupsICCProfile attributes.
  * The scheduler still had a reference to the incorrect
    "notify-recipient" attribute
  * The "make check" and "make test" subscription tests did not set
    the locale
  * The "make check" and "make test" subscription tests incorrectly
    used the notify-recipient attribute instead of
    notify-recipient-uri
  * cupsRasterInterpretPPD() incorrectly limited the
    cupsBorderlessScalingFactor when specified in the job options.
- adapted cupstestppd patch
* Wed Apr 25 2007 kssingvo@suse.de
- added SuSEfirewall2 rules (bugzilla#247746)
* Mon Apr  2 2007 kssingvo@suse.de
- Upgrade to cups-1.2.10:
  * ppdLocalize() now supports localizing for Japanese using the
    "jp" locale name used by the ppdmerge program from the CUPS
    DDK 1.1.0
  * _cupsAdminSetServerSettings() did not support changing of
    top-level directives as designed.
  * The init script path check was broken.
  * CUPS incorrectly used the attribute "notify-recipient" instead
    of "notify-recicpient-uri" in several places
  * Fixed a configure script bug on MirBSD
  * The pdftops filter did not limit the amount of recursion of
    page sets
  * Custom page sizes with fractional point sizes did not work
  * The lpoptions command would crash when adding or removing
    options on a system with no printers
  * The scheduler did not use the default job-sheets (banners) for
    implicit classes
  * The scheduler could crash when listing complete jobs that had
    been unloaded from memory
  * The French localization was doubled up
  * Build system fixes for several platforms
  * The scheduler's openssl certificate generation code was broken
    on some platforms
  * The scheduler's log rotation check for devices was broken
  * The LPD mini-daemon did not handle the document-format option
    correctly
  * The pdftops filter ignored the "match" size option in the
    pdftops.conf file
  * cupstestppd now validates UTF-8 text strings in globalized PPD
    files
  * The outputorder=reverse option did not work with all printers
  * Classes containing other classes did not always work
  * Printer location and description information was lost if the
    corresponding string contained the "#" character
  * cupsRemoveOption() did not work properly
  * The USB backend did not work with some USB to parallel cables
    on Mac OS X.
  * The test page did not print the rulers properly on large media
    sizes
  * The text filter could crash when pretty printing certain types
    of files
- removed already included security patch xpdf_CVE_2007_0104
* Tue Feb 20 2007 kssingvo@suse.de
- Upgrade to cups-1.2.8:
  * Documentation fixes
  * The HTTP upgrade redirection used by the scheduler did not work
    with Internet Explorer
  * Members of a class with Unicode names did not appear correctly
    in the web interface
  * Changing the "Save debugging information" setting in the web
    interface no longer affects the other server settings
  * The scheduler did not choose SSL certificates correctly on Mac
    OS X
  * The scheduler could get in an infinite loop when printing to a
    remote class
  * The jobs web page did not have separating space after the
    number of pages column
  * Added French localization
  * Updated Spanish localization
  * Updated Japanese localization
  * cupsBorderlessScalingFacter was limited to a range of 0.9 to
    1.1, but some printers need larger values
  * Landscape printing of PDF files did not always work
  * Fixed slow USB printing on Minolta printers
  * The ZPL label printer driver could produce stretched output
  * The IPP backend now clears the printer-state-message when there
    are no outstanding errors or warnings
  * The CUPS Java scripting support did not work with recent
    versions of Java due to the use of Sun's private Base64 class
  * The scheduler did not pass HTTP GET form variables to custom
    CGI programs
  * The lpoptions command now displays the reason why a PPD file
    cannot be found
  * The scheduler did not accept "none" as a browse protocol name
  * The scheduler still loaded the remote printer cache, even when
    browsing was disabled
  * The SNMP backend now shows OfficeJet printers with the "HP"
    manufacturer prefix
  * Web interface HTML cleanup
  * The parallel backend consumed 100%% CPU on FreeBSD due to an
    apparently common parallel port driver bug
  * ippReadIO() incorrectly returned IPP_IDLE when the initial IPP
    message header could not be read
  * cupsRasterInterpretPPD() did not support custom options
  * Collated output produced by the PostScript filter could lose
    some options
  * job-hold-until with time values for the next day would be held
    for 60 days
  * Some types of Sun raster files did not print correctly
  * Raw PBM files did not print correctly
  * The SNMP backend no longer uses IPP with HP printers, as some
    recent firmware versions appear to not work
  * cupsMarkOptions() did not handle the multiple-document-handling
    option
  * lpstat did not show the local job ID of active printers
  * The backends incorrectly used STATUS: media-tray-empty-error
    messages for out-of-paper conditions
  * cupsGetPPD2() returned the wrong error when the PPD file did
    not exist
  * cupsDoAuthentication() did not translate the password prompt
  * httpGetLength2() did not handle error messages without content
    correctly
  * Added support for 32/64-bit libraries on HP-UX Itanium systems
  * Fixed a configure script problem with the 32/64-bit library
    support
  * The PostScript filter did not properly output document setup
    commands for reversed output
  * The scheduler did not parse IPv6 netmasks properly
- removed backported, unnecessary patches
* Tue Feb 13 2007 kssingvo@suse.de
- fixed tcp_wrapper warnings (bugzilla#230730)
- fixed ps interpretation (bugzilla#242042)
- backported fixes from various issues, only in svn avail atm
* Mon Jan 22 2007 kssingvo@suse.de
- enabled LDAP on request (bugzilla#223007), no build cycle present
* Tue Jan 16 2007 kssingvo@suse.de
- fix for xpdf bugzilla#233113, CVE-2007-0104, swamp-7887
* Wed Jan 10 2007 kssingvo@suse.de
- added Required-Start: to rccupsrenice (bugzilla#231675)
* Fri Jan  5 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Dec 12 2006 kssingvo@suse.de
- removed broken locale patch: PS generation fails (bugzilla#227205)
* Thu Nov 16 2006 kssingvo@suse.de
- Upgrade to 1.2.7 (another bugfix version):
  * Documentation updates
  * The PostScript filter now rotates the bounding box values as needed
  * The scheduler no longer loads the remote printer cache when browsing
    is disabled
  * The scheduler no longer writes a new launchd configuration file if
    it doesn't have to
  * The scheduler now picks up on changes to IPv6 and DNS configuration
  * The lpstat program could still hang
  * Fixed an inefficiency in the SNMP IPP detection code
  * The SSL negotiation code did not implement short timeouts
* Tue Nov 14 2006 kssingvo@suse.de
- fixed non conform PPD values in PSLEVEL*.PPD (bugzilla#219779)
* Thu Nov  9 2006 kssingvo@suse.de
- fixed perm problem of /etc/cups regarding lppasswd (bugzilla#218745)
* Tue Nov  7 2006 kssingvo@suse.de
- Upgrade to 1.2.6 (bugfix version):
  * "lpc status" did not show the number of queued jobs for disabled queues
  * The lpstat program could hang
  * The serial backend did not support the new USB serial filenames on Linux
  * The parallel backend did not support bidirectional I/O properly
  * The network backends now log the numeric address that is being used
  * Fixed a compile error when using libpaper
  * Fixed a compile error when compiling on Solaris with threading enabled
  * Missing printer-state-changed event for printer-state-message updates
* Mon Nov  6 2006 kssingvo@suse.de
- coolo's patch seems not to work, now using desktop-launch
  (bugzilla#207915)
* Mon Nov  6 2006 kssingvo@suse.de
- fixed cups.desktop file (bugzilla#207915)
- suse_update_desktop_file produces strange results in my xterm.
  redirecting output to /dev/null
- removed duplicate entry in %%files: %%{_libdir}/cups/monitor/*
* Mon Oct 23 2006 kssingvo@suse.de
- Upgrade to 1.2.5:
  * Documentation updates
  * The SNMP backend no longer uses IPP for Epson printers
  * Updated the configure script for Tru64 UNIX 5.1
  * Tru64 5.1B's getaddrinfo() and getnameinfo() functions leak file
  descriptors
  * cupsAddDest() didn't add the parent destination's options and
  attributes.
  * ppdConflicts() did not handle custom option constraints.
  * Raw printing of gzip'd files did not work
  * The scheduler no longer preserves default option choices when
  the new PPD no longer provides the old default choice
  * The Linux SCSI backend is now only built if the SCSI development
  headers are installed.
  * USB printing to Minolta printers did not work
  * Windows clients could not monitor the queue status
  * The scheduler didn't log the operation name in the access_log
  file for Create*Job and Print-Job requests.
  * The PostScript filter now separates collated copies with any
  required JCL commands so that JCL*based finishing options act on
  the individual copies and not all of the copies as a single
  document.
  * The PostScript filter now disables duplex printing when printing
  a 1*page document.
  * cups-lpd didn't pass the correct job-originating-host-name value
  * Fixed some speling errors in the German message catalog
  * cupstestppd did not catch PPD files with bad UIConstraints
  values
  * The USB backend did not work with the current udev- created
  printers if the first printer was disconnected
  * Mirrored and rotated printing did not work with some documents
  * 2-sided printing with banners did not work properly on some
  printers
  * Updated the raw type rule to handle PJL within the first 4k of a
  print job
  * Added an Estonian translation
  * Clarified the documentation for the cupsd.conf @LOCAL and
  @IF(name) allow/deny functionality
  * The PostScript filters did not escape the Title and For comments
  in the print job header
  * The scheduler would use 100%% CPU if browsing was disabled and
  the cupsd.conf file contained BrowsePoll lines
  * The cupsDirRead() function did not work properly on
  non*POSIX-compliant systems
  * The cupsFile functions didn't handle read/write errors properly
* Fri Sep 22 2006 kssingvo@suse.de
- CUPS 1.2.4 fixes a number of web interface, scheduler, and CUPS API issues.
  Changes include:
- The --with-printcap configure option did not work
- The character set reported by cupsLangGet() did not always reflect
  the default character set of a given locale
- Older Lexmark and Tektronix printers did not work with IPP
- Failsafe printing did not work
- Some web interface redirects did not work
- The web interface change settings button could introduce a "Port 0"
  line in cupsd.conf if there was no loopback connection available
- The web interface change settings and edit configuration file
  buttons would truncate the cupsd.conf file
- The German web interface used the wrong printer icon images
- The "All Documents" link in the on-line help was missing a trailing
  slash
- The Polish web interface translation used the wrong URLs for the job
  history
- The "reprint job" button did not work
- The scheduler did not always report printer or job events properly
- The scheduler always stopped the queue on error, regardless of the
  exit code, if the error policy was set to "stop-printer"
- ppdEmitJCL() included UTF-8 characters in the JCL job name, which
  caused problems on some printers
- Fixed a buffering problem that cause high CPU usage
- The command-line applications did not convert command-line strings
  to UTF-8 as needed
- cupsDirRead() incorrectly aborted when reading a symbolic link that
  pointed to a file/directory that did not exist
- The cupsInterpretRasterPPD() function did not handle custom page
  sizes properly.
* Thu Sep 14 2006 kssingvo@suse.de
- Upgrade to 1.2.3:
  * The scheduler did not send job-state or job-config-changed events
  when a job was held, released, or changed
  * The scheduler now aborts if the configuration file and directory
  checks fail
  * Fixed a problem with ippPort() not using the port number that was
  set via the client.conf file or CUPS_SERVER environment variable
  * HTTP headers were not buffered
  * Some IPP printers (HP) did not like UTF-8 job names
  * The CUPS desktop icon is now localized for Polish
  * Printer options were not always honored when printing
  * The openssl command would lock up the scheduler when generating
  an encryption certificate on some platforms due to a lack of
  entropy for the random number generator
  * The web admin page did not recognize that "Listen 631" enabled
  remote access
  * The web admin page did not check whether changes were made to the
  Basic Server Settings check boxes
  * The IPP backend could generate N*N copies in certain edge cases.
  * The scheduler did not restore remote printers properly when
  BrowseShortNames was enabled
  * Polling did not handle changes to the network environment on Mac
  OS X
  * The "make test" subscription tests used invalid
  notify-recipient-uri values
  * Printers could be left in an undefined state on system sleep
  * The Berkeley and System V commands did not always use the
  expected character set
  * Remote printing fixes
  * The cupstestppd utility did not validate translation strings for
  custom options properly.
  * Multi-language PPD files were not properly localized in the web
  interface
  * The admin page's simple settings options did not check for local
  domain socket or IPv6 addresses and did not use "localhost" as
  the listen address.
  * An empty BrowseProtocols, BrowseLocalProtocols, or
  BrowseRemoteProtocols line would crash the scheduler instead of
  disabling the corresponding browsing options.
  * The scheduler now logs IPP operation status as debug messages
  instead of info or error.
  * cupsFileRewind() didn't clear the end-of-file state.
  * cupstestppd didn't report the actual misspelling of the
  1284DeviceID attribute
  * BrowseRelay didn't work on Debian
  * configure --without-languages didn't work
  * Manually added remote printers did not work
  * The <cups/backend.h> header was not installed.
  * Updated the build files for Autoconf 2.60
  * The scheduler incorrectly terminated the polling processes after
  receiving a partial log line.
  * The cups-lpd mini-daemon reported "No printer-state attribute
  found" errors when reporting the queue status
  * SNMP backend improvements
  * The scheduler erroneously reported an error with the CGI pipe
  * Fixed HP-UX compile problems
  * cupstestppd crashed with some PPD files
  * The <cups/dir.h> and <cups/file.h> header files did not work with
  C++.
* Tue Jul 25 2006 kssingvo@suse.de
- upgrade to version 1.2.2, which fixes several build, platform, notification, and printing bugs. Changes include:
  * Documentation updates
  * CUPS didn't know about alternate character set names for Asian text
  * The lpoptions -o and -r options did not work unless you specified a printer.
  * The lpoptions command incorrectly allowed users to set printer attributes like printer-type
  * httpWait() did not flush the write buffer, causing "bad request" errors when communicating with CUPS 1.1.x servers
  * Polling did not sanitize the printer description, location, or make and model strings like broadcasts did.
  * Polled printers did not show the server's default job-sheets option value.
  * The Samba password prompt was not properly localized
  * Added a German translation
  * The scheduler now creates self-signed SSL certficates automatically when using OpenSSL and CDSA for encryption, just as for GNU TLS.
  * The SNMP backend sporatically reported some printers as "unknown"
  * The scheduler now forces BrowseTimeout to be at least twice the BrowseInterval value and non-zero to avoid common configuration errors.
  * The scheduler incorrectly returned printer URIs of the form "ipp://server/printers/classname" for classes
  * Updated Japanese localization
  * The scheduler's SSL certificate/key directory was not created on installation
  * Added a mailto.conf man page and help page
  * The parallel and USB backends no longer wait for the printer to go on-line - this caused problems with certain printers that don't follow with the IEEE-1284 standard
  * The scheduler could crash on a reload when implicit classes were present
  * The IPP backend incorrectly used the CUPS_ENCRYPTION environment variable to determine the default encryption mode when printing
  * USB printing did not work on Solaris
  * The scheduler sorted job priorities in the wrong order
  * The scheduler did not automatically restart notifiers that exited or crashed
  * IPv6 support did not work on NetBSD
  * The EPM packaging file did not work
  * The scheduler used up the CPU if BrowseRemoteProtocols was empty
  * Custom page sizes did not work
  * The SNMP backend could crash on some systems when SNMP logging was enabled
  * Browsing could produce some funny printer names when ServerName was set to an IP address
  * Fixed the log message for BrowseRelay
  * Fixes to allow CUPS to compile on MirBSD
  * The scheduler incorrectly set the FINAL_CONTENT_TYPE environment variable
  * The pdftops filter incorrectly embedded a "produced by" comment, causing PDF printing not to work on some operating systems
  * Sending raw jobs from a client system could cause the client's scheduler to eventually crash
  * The scheduler now checks that the notifier exists prior to accepting a new subscription request.
  * The scheduler now reports the supported notify-recipient schemes based on the contents of the ServerBin/notifier directory.
  * Event notifications did not include the notify-sequence-number or other required attributes
  * Allow/Deny addresses of the form "11.22.33.*" did not work on Linux
  * cupsGetPPD() did not work if the scheduler was only listening on a domain socket
  * The scheduler could crash advertising a class
  * The scheduler could crash if the default printer was deleted
  * Added a new default CUPS raster format (v3) which does not compress the raster stream in order to provide the same cupsRasterReadPixels() and cupsRasterWritePixels() performance as CUPS 1.1.x.
  * The cupsaddsmb man page listed the wrong files for the CUPS driver.
  * Some configure --with options did not work
  * "Allow @IF(name)" didn't work if "name" wasn't the first network interface
  * The lpstat command did not use the correct character set when reporting the date and time
  * The cupsaddsmb command and web interface did not update the Windows PPD files properly, resulting in corrupt PPD files for the Windows client to use
  * The cupsd.conf man page didn't describe the Listen domain socket syntax
  * The scheduler no longer tries to support more than FD_SETSIZE file descriptors.
  * CDSA (encryption) support fixes for MacOS X.
  * The lppasswd program needs to be setuid to root to create and update the /etc/cups/passwd.md5 file
  * 32/64-bit library installation was broken
  * The USB backend now reports a "no such device" error when using the old filename-based USB URIs instead of the "success" error.
  * Increased the HTTP and IPP read timeouts to 10 seconds, as 1 second was too short on congested networks
  * The SNMP backend now uses the device description over the printer-make-and-model attribute when the attribute contains a generic name
  * Fixed another file descriptor leak when printing raw files
  * Raw queues were not shared via LDAP
  * The pstops filter didn't always embed PageSetup commands from the PPD file
  * "make install" didn't work if you disabled all of the localizations.
  * The scheduler didn't always choose the least costly filter.
  * Fixed parsing of IPv6 addresses in Allow, Deny, BrowseAllow, BrowseDeny, and BrowseRelay directives
  * Printers that were shared via LDAP did not get added to the LDAP server properly
  * LDAP browsing would crash the scheduler if a required value was missing
  * Special cases for the "localhost" hostname did not work, causing printing to not work when the /etc/hosts file did not contain a localhost entry
  * Updated the Spanish translation
  * Reverse-order page output was broken when N-up or landscape orientations were used
  * The parallel, serial, socket, and USB backends needed print data before they would report back-channel data, causing problems with several new drivers
- fixed randomly crash when testing many PPD files (bugzilla#193354)
* Thu Jul 13 2006 kssingvo@suse.de
- moved 3.0 from BETA to STABLE
* Thu Jun 29 2006 nadvornik@suse.cz
- do not use deprecated libpng function png_read_destroy
* Wed Jun 28 2006 kssingvo@suse.de
- reinjected lost --datadir into configure
* Thu Jun 22 2006 kssingvo@suse.de
- upgrade to version 1.2.1: a major release after long (>1y) development
  with new functions, many enhancements, bugfixes and new bugs
* Mon May 22 2006 kssingvo@suse.de
- removed Required-Start: in rccupsrenice; real fix for (bugzilla#172708)
* Mon May 22 2006 lmuelle@suse.de
- Only activate cupsrenice on initial install; [#172708].
* Tue Apr 25 2006 kssingvo@suse.de
- fixed pswrite.patch (bugzilla#169068)
* Tue Apr 11 2006 kssingvo@suse.de
- fixed the usb naming for special HP printers (bugzilla#163833)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 lmuelle@suse.de
- Move cups-config to the libs sub package.  Then we do not bother anyone as
  cups-libs is required by cups-devel and cups; [#142004].
* Fri Jan 13 2006 meissner@suse.de
- Use -fstack-protector.
* Wed Jan 11 2006 kssingvo@suse.de
- moved cups-config into main package (bugzilla#142004)
* Tue Jan 10 2006 kssingvo@suse.de
- fixed %%files for /etc/cups/printcap (bugzilla#140308)
- fixed various xpdf security issues (bugzilla#137156)
  CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627,
  CVE-2005-3628, CVE-2005-3193
* Tue Dec  6 2005 kssingvo@suse.de
- fixed xpdf overflow CVE-2005-3193 (bugzilla#137156)
* Wed Nov 23 2005 kssingvo@suse.de
- fixed the info of last printer in printcap file (bugzilla#132152)
* Wed Nov 23 2005 kssingvo@suse.de
- added global lpoptions file (bugzilla#118982)
- fixed $ppid test in rccupsrenice (bugzilla#119822)
- fixed short description in rccupsrenice (bugzilla#121873)
- changed filtering of mozilla-ps (bugzilla#130623)
* Mon Sep 12 2005 kssingvo@suse.de
- fixed segfault in cupstestppd (bugzilla#116468)
* Thu Sep  8 2005 kssingvo@suse.de
- fixed rccupsrenice: can handle mutliple pids in $ppid now (bugzilla#115863)
- fixed rccupsrenice: link points to correct script
* Mon Sep  5 2005 kssingvo@suse.de
- fixed rccupsrenice: requires changed to cupsd (bugzilla#115261)
* Fri Sep  2 2005 kssingvo@suse.de
- fixed length of stftime array in lpstat (bugzilla#105732)
* Thu Sep  1 2005 kssingvo@suse.de
- rccupsrenice checks if cupsd is running before processing (bugzilla#114650)
* Tue Aug 23 2005 kssingvo@suse.de
- coolo wants a speedup of system boot:
  rccups: cupsd gets now a lower ionice value if booting in level 5
  and rccupsrenice (new introduced) brings those io values back,
  later when system is up and running
* Tue Jul 26 2005 kssingvo@suse.de
- removed backends pipe and novell; now in cups-backends
* Mon Jul 11 2005 kssingvo@suse.de
- further changes for PIE
- renamed latest patches to my naming schema
* Thu Jun 30 2005 uli@suse.de
- build with -fPI[CE] (not -fpi[ce]) to avoid GOT overflows in
  certain packages (e.g. scribus) on s390*
* Mon Jun 20 2005 ro@suse.de
- build as PIE
* Wed Jun 15 2005 mfabian@suse.de
- Bugzilla #41006 "Charset detection in CUPS":
  add missing includes and fix charset and language detection.
* Mon Jun 13 2005 kssingvo@suse.de
- removed permissions file from package (bugzilla#66305)
- changed permission of xinetd.d file
- fixed SUSE version in testpage (bugzilla#78075)
* Thu Apr  7 2005 kssingvo@suse.de
- gcc4.0 compilation fixes (thx to mls)
* Thu Mar 10 2005 kssingvo@suse.de
- fixed problem in lppasswd file generation (bugzilla#64370)
- fixed problem in library with authorization
- cupstestppd checks now PageSize more properly
* Tue Mar  1 2005 kssingvo@suse.de
- fixed lpstat segfault issue (bugzilla#66328)
* Mon Feb 21 2005 kssingvo@suse.de
- added "hplip" to rccups (bugzilla#65378)
* Tue Feb 15 2005 kssingvo@suse.de
- introduced norootforbuild
* Fri Jan 21 2005 kssingvo@suse.de
- update to version 1.1.23 and adaption of patches
- added xpdf buffer overflow fix; CAN-2005-0064 (bugzilla#49840)
* Sat Jan 15 2005 schwab@suse.de
- Use <owner>:<group> in permissions file.
* Sun Dec 19 2004 kssingvo@suse.de
- added additional xpdf buffer overflow patches (missing in this
  version)
* Wed Dec 15 2004 kssingvo@suse.de
- updated novell backend (bugzilla#41773)
- updated pipe backend (bugzilla#33659)
* Wed Nov 17 2004 kssingvo@suse.de
- updated to cups-1.1.22
- adapted spec file, patches, etc.
* Mon Nov  8 2004 kukuk@suse.de
- Include common-* PAM config files in cups configuration
* Fri Sep 24 2004 kssingvo@suse.de
- added creation of group ntadmin in %%pre (bugzilla#45719)
* Mon Sep 20 2004 kssingvo@suse.de
- cupstestppd fails on some doubtful Sharp PPDs (bugzilla#45648)
- removed ed from neededforbuild list
* Wed Sep 15 2004 kssingvo@suse.de
- fix for umlaut names when download of queue ppds (bugzilla#44975)
* Tue Sep 14 2004 kssingvo@suse.de
- cups-1.1.21 is now released
- cupsomatic removed (will be replaced by foomatic-rip/foomatic-filters)
- more useable messages in preauth patch
* Thu Sep  2 2004 kssingvo@suse.de
- ignores now short living childs in ppds.dat generation case
* Wed Sep  1 2004 kssingvo@suse.de
- fixed security problem in cupsomatic, CAN-2004-0801 (bugzilla#44233)
* Tue Aug 31 2004 kssingvo@suse.de
- first try for cups-1.1.21rc2
- renumbered patches
- adapted old SuSE patches to this version
- removed /var/adm/notify -- ancient and no longer needed
* Thu Aug 12 2004 kssingvo@suse.de
- added test for /.buildenv to make users happy (bugzilla#43503) :-)
* Wed Apr 21 2004 kssingvo@suse.de
- removed needless "rm -rf $RPM_BUILD_ROOT" in %%install
- added -fno-strict-aliasing compile option (*sic*)
- added missing mime handling of pswrite (bugzilla#33862)
* Tue Apr 13 2004 kssingvo@suse.de
- removed x-devel-packages from neededforbuild
* Tue Apr  6 2004 kssingvo@suse.de
- fixed segfault in library (bugzilla#38381) - tested and works fine
* Mon Mar 22 2004 kssingvo@suse.de
- fixed image links in web interface (bugzilla#36403)
- fixed cupstestppd (bugzilla#36688)
* Wed Mar 17 2004 kssingvo@suse.de
- cupstestppd failed if PPD file has default for non-existance names (STR#476)
- patch for CPU excess if CGI is sending faster than client receiving (STR#595)
- faster scan of ppd files (bugzilla#33222)
- patch for broken HTTP authentication cache (STR#517)
- redirect administration tasks to primary server (STR#491)
* Wed Mar 17 2004 kssingvo@suse.de
- added pswrite filter script to produce PostScript1 output
- beautified filter ogonki "mktemp -q /tmp/dvitops.XXXXXX" -> ogonki.XXXXXX
- removed cups-1.1.19-no_dvi.patch, fixed cups-mime.patch instead
- added PS1 and PS2 PPD files (bugzilla#34938)
* Tue Mar 16 2004 kssingvo@suse.de
- backport of signed char usage for weird platforms (STR#518)
- cups-lpd mini-daemon rejects jobs if queue behing is rejecting (STR#515)
- fix for too fast CGI data delivery (STR#484)
* Mon Mar  8 2004 kssingvo@suse.de
- backport of fixes in CVS repository for scheduler and library,
  with many fixes, like crash on remote reject, close client on
  errors, propper http flushing, etc. -- first print tests work fine.
* Mon Mar  8 2004 kssingvo@suse.de
- many backports of fixes in CVS repository
- upgrade of pdftops to version 2.03
* Mon Feb 23 2004 kssingvo@suse.de
- memory overwrite fixed in rastertoepson
- fixed md5sum revealing problem (bugzilla#32862)
- fixed naming of some usb printers
* Wed Feb 11 2004 kssingvo@suse.de
- activated incidentally removed usermode patch (bugzilla#34438)
- added "printbill" to rccups
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Wed Nov 26 2003 kssingvo@suse.de
- fixed permission of directory interfaces (bugzilla#33337)
- added new option "-p" to generate ppds.dat only and exit (bugzilla#33222)
- added openslp support
- upgraded to 1.1.20 (final)
* Wed Oct  1 2003 kssingvo@suse.de
- changed LC_MESSAGES -> LC_CTYPE (= fixed bugzilla#26006)
* Thu Sep 25 2003 kssingvo@suse.de
- update to 1.1.20rc2
* Wed Sep 17 2003 kssingvo@suse.de
- authentication method for /admin changed (bugzilla#31158)
* Mon Sep 15 2003 kssingvo@suse.de
- fixed PPDs defaults: Letter -> A4 (bugzilla#30662)
* Thu Sep 11 2003 kukuk@suse.de
- Set sticky bit for /var/spool/cups/tmp
* Thu Sep 11 2003 kssingvo@suse.de
- changed rcfile, as suggested in bugzilla#28444
* Tue Sep  9 2003 kssingvo@suse.de
- fixed typo in configuration for preauth security patch
* Mon Sep  8 2003 kssingvo@suse.de
- fix for the SLP browsing patch (missing/wrong initialize of variables)
* Wed Sep  3 2003 kssingvo@suse.de
- fix for boolean options in filters (CUPS STR#249)
- fix for check of written bytes in 4 backends (CUPS STR#253)
- fix for segfault when browsing and SLP is set on (CUPS STR#259)
- fix for restart problem of processed jobs (CUPS STR#226)
- fix for LPD port number in URI (CUPS STR#249)
- fix for Landscape PDF offset rotation position (CUPS STR#243)
- generated /etc/cups/printcap and link /etc/printcap due to UserMode
  (bugzilla#29671)
* Tue Sep  2 2003 kssingvo@suse.de
- fixed %%_libdir problem in xinetd.d/cups-lpd (bugzilla#29877)
* Mon Sep  1 2003 kssingvo@suse.de
- last fix of bugzilla#29418 didn't work in reality. on specfile again.
- "-y" for fillup_and_insserv
* Mon Sep  1 2003 kssingvo@suse.de
- DOCDIR removed to fix bugzilla#29418
- specfile: daemon has now security patches -> start it on boot per default
- specfile: restart of daemon on package update
* Fri Aug 29 2003 kukuk@suse.de
- Set explicit correct permissions of /etc/cups contents, else
  cups will do it.
* Tue Aug 26 2003 kssingvo@suse.de
- changed attributes for files (bugzilla#28736)
* Mon Aug 25 2003 kssingvo@suse.de
- fix for locale destroying (bugzilla#29218)
* Mon Aug 25 2003 kssingvo@suse.de
- made restrictrions in cupsd.conf to take preauthorization effect
* Thu Aug 21 2003 kssingvo@suse.de
- cupsd runs now as lp:lp (as suggested in bugzilla#28444)
* Thu Aug 21 2003 kssingvo@suse.de
- added preauthorization patch from okir - seems to work - thx
* Thu Aug 21 2003 kssingvo@suse.de
- fixed USB backend to report manufacturer and model, if description
  string is missing (cups STR#174)
- fixed problem with some embedded Type1C fonts (cups STR#177)
- fixed problem when reading files and using the POSIX locale (cups STR#159)
* Wed Aug 20 2003 kssingvo@suse.de
- added official patch for cupstestppd problem (bugzilla#27950)
- fixed problem with "keepalive on" (bugzilla#28154)
- fixed encode options to honor "yes" and "on" as values too
* Mon Aug 18 2003 kssingvo@suse.de
- fixed metadata in sysconfig file (bugzilla#28861)
* Wed Aug 13 2003 kssingvo@suse.de
- fixed cupstestppd (bugzilla#27950)
* Thu Jul 31 2003 coolo@suse.de
- don't strip explicitly, but let the brp scripts handle it
* Tue Jul 29 2003 kssingvo@suse.de
- fixed ogonkify (bugzilla#28307)
* Thu Jul 10 2003 kssingvo@suse.de
- fixed 64bit problem in printers.cgi (bugzilla#24786)
- removed dvi printing support due to missing packages (bugzilla#27032)
* Fri Jul  4 2003 kssingvo@suse.de
- splitted out foomatic-filters package, which is cups independed
  (except Coolo's faulty checking)
* Mon Jun 23 2003 kssingvo@suse.de
- fixed mandir problem under non-i386 architecture
* Mon Jun 23 2003 lmuelle@suse.de
- remove smb backand from file list and init script; it's now part of the
  samba-client package
* Tue Jun 17 2003 kssingvo@suse.de
- added ptal to Should-Start in rccups (bugzilla#27159)
* Thu Jun 12 2003 kukuk@suse.de
- Add missing directories to filelist
* Mon Jun  2 2003 kssingvo@suse.de
- 1.1.19 is released -> updated
* Fri May 30 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 29 2003 kssingvo@suse.de
- updated to 1.1.19rc3
- removed unnecessary patches
- removed README.SuSE (bugzilla#26479)
* Wed Apr  9 2003 kssingvo@suse.de
- added patch for cgi-interface: hostname is now mapped to localhost
- updated PrintAnalyzer script
* Wed Mar 12 2003 kssingvo@suse.de
- fixed "endless attempts to print" problem (bugzilla#25152)
* Wed Mar 12 2003 kssingvo@suse.de
- installs now correct pam file (bugzilla#23277)
* Mon Mar 10 2003 kssingvo@suse.de
- fixed location of foomatic-rip filters -> /usr/bin
- added link for foomatic-rip
- updated foomatic-rip (to latest, fixed version)
* Thu Mar  6 2003 kssingvo@suse.de
- fixed typo for manpage installation of foomatic-rip
- fixed file list of cups and cups-client (foomatic-rip is part of cups
  and therefore the corresponding package should contain the manpage too)
* Mon Mar  3 2003 kssingvo@suse.de
- updated cupsomatic to linuxprinting.org (hopefully fixed accounting problem)
* Thu Feb 27 2003 kssingvo@suse.de
- fix for add printer with KDE util (from CVS head)
* Wed Feb 26 2003 kssingvo@suse.de
- fixed again filelist :)
- fixed documenation path (buzgzilla#24083)
- fixed PPD file parsing (from CVS head)
- tested daemon
* Wed Feb 26 2003 ro@suse.de
- fix filelist (file listed twice)
* Wed Feb 26 2003 kssingvo@suse.de
- updated foomatic-gswrapper
- added new foomatic-rip: filter, config file and manpage
* Mon Feb 24 2003 kssingvo@suse.de
- updated backends novell and pipe
- renamed sysconfig metadata:  sysconfig.cups -> cups.sysconfig
- renamed permissions file:    permissions.cups -> cups.permissions
- fixed problem in lpoptions (no more loops! :)
* Thu Feb 20 2003 mmj@suse.de
- Add sysconfig metadata [#22629]
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Jan 28 2003 kssingvo@suse.de
- fixed "Error message when starting cups daemon" problem (bugzilla#22472)
- removed unnecessary DocumentRoot setting cupsd.conf
* Tue Jan 28 2003 kssingvo@suse.de
- changed replacement of distribution in testprint.ps
- rccups: moved hotplug from required start to should-start (bugzilla#23054)
- added /usr/bin/cupstestppd (bugzilla#23143)
- created xinetd.d file for cups-lpd
* Thu Jan 23 2003 kssingvo@suse.de
- added usb patch (for epson printers)
- added herrno patch in IPP protocol
* Fri Jan 17 2003 kssingvo@suse.de
- added two backends (pipe + novell), written by jsrain@suse.cz
- welcome back foomatic filter (makes more sense to have it here)
* Fri Dec 20 2002 kssingvo@suse.de
- updated to 1.1.18, adapted testpage.diff for new version
* Mon Dec 16 2002 kssingvo@suse.de
- fixed test for link problem in rccups
* Tue Dec 10 2002 kssingvo@suse.de
- removed foomatic filter. with next suse release will be in pkg cups-drivers
* Wed Dec  4 2002 kssingvo@suse.de
- updated to version 1.1.17, removed lib64 patch (now already in source tree)
* Thu Nov  7 2002 kssingvo@suse.de
- updated %%files for all cups subpackages.
  (Now new cups files are included too :-)
* Thu Nov  7 2002 kssingvo@suse.de
- removed debuging option in spec file.
* Thu Nov  7 2002 kssingvo@suse.de
- updated to version 1.1.16, removed or adapted SuSE patches
* Tue Sep 10 2002 ro@suse.de
- added prereq for groupadd (#19300)
* Thu Sep  5 2002 ro@suse.de
- fix postinstall
* Thu Sep  5 2002 kssingvo@suse.de
- changed %%post: removed "insserv" to make yast2 and security happy
* Mon Sep  2 2002 kssingvo@suse.de
- changed cupsd.conf for 127.0.0.2 access (bugzilla#18764)
* Mon Sep  2 2002 kssingvo@suse.de
- added directory /usr/share/cups/drivers for cupsaddsmb/samba
* Tue Aug 27 2002 kssingvo@suse.de
- fixed foomatic and foomatic-gswrapper (bugzilla#18425)
* Wed Aug 21 2002 kssingvo@suse.de
- gave %%files sections a %%deffattr and gave special files and dirs
  a required %%attr permissions of lp.sys (bugzilla#18126)
* Tue Aug 20 2002 uli@suse.de
- fixed hardcoded path CUPS_SERVERBIN (fixes ghostscript on lib64
  archs)
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Mon Aug 12 2002 kssingvo@suse.de
- cups-devel now requires exact matching version of cups-libs
- added /var/log/cups to cups-libs (bugzilla#17617)
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Mon Jul 22 2002 kssingvo@suse.de
- fix for author patch: crashed on reload signal (tested for stability)
* Fri Jul 19 2002 kssingvo@suse.de
- using now fillup to generate sysconfig file
- replaced delayed exit patch by CUPS authors one
* Thu Jul 18 2002 kssingvo@suse.de
- again rccups: rc.config only parsed, if present (for backward compatibility)
* Thu Jul 18 2002 kssingvo@suse.de
- updated rccups to satisfy new SuSE requirements
- added delayed exit of cupsd patch (for processing many PPD files)
* Wed Jul 10 2002 kssingvo@suse.de
- adapted the pam file for SuSE (according to Thorstens proposal)
* Tue Jul  9 2002 kssingvo@suse.de
- upgraded to version 1.1.15 and adapted all the old patches
- moved %%{_sysconfdir}/cups to libs (as suggested by jsmeix)
* Tue Jul  2 2002 kssingvo@suse.de
- added symbolic link /usr/bin/lpc (bugzilla #16652)
- changed umask in rccups (bugzilla #16567)
* Thu Jun 13 2002 draht@suse.de
- Running cupsd if no printer is configured makes no sense.
  Do not activate cupsd after installation in %%post.
* Tue Jun  4 2002 kssingvo@suse.de
- fixed g++/cups-config problems in other cups subpackages
* Tue Jun  4 2002 kssingvo@suse.de
- added 'cups-config' to devel
* Wed May  8 2002 kssingvo@suse.de
- fixed linker problem (rpath) under x86_64
- therefore old x86_64 fix is no longer necessary: removed.
* Mon Apr 22 2002 kssingvo@suse.de
- added %%ifarch x86_64 to avoid linking problems in specfile.
* Thu Apr 18 2002 kssingvo@suse.de
- updated to 1.1.14
- removed unnecessary patches
- adapted testpage.ps patch to new file
- fixed permission problem with lppasswd
- fixed %%files section (now includes all %%dirs too)
* Wed Apr 10 2002 ro@suse.de
- don't call autoreconf, we can't use autoheader and automake here
* Tue Feb 26 2002 kssingvo@suse.de
- fixed too restrictive IPP security fix
- fixed documentation path (#13889)
* Mon Feb 25 2002 kssingvo@suse.de
- reorganized online documentation. old structure might confuse people (#13849)
* Wed Feb 20 2002 kssingvo@suse.de
- completed the IPP security fix again (hopefully the last time)
* Mon Feb 18 2002 kssingvo@suse.de
- completed the IPP security fix
* Tue Feb 12 2002 kssingvo@suse.de
- updated perl scripts cupsomatic, and foomatic-gswrapper
* Tue Feb 12 2002 kssingvo@suse.de
- made patch cups-cs-utf8.dif again. got build problems with last version.
* Mon Feb 11 2002 kssingvo@suse.de
- Added iso-8859-2 patch for czech utf-8 locale.
  Thanks to Petr Blahos <pblahos@suse.cz>.
* Mon Feb 11 2002 kssingvo@suse.de
- added IPP security fix
* Fri Feb  1 2002 draht@suse.de
- log tcp-wrappers based connection refusals to cups' own logfiles
  instead of syslog.
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 draht@suse.de
- added support for tcp-wrappers (cups-1.1.12-libwrap-addition.dif)
  token for /etc/hosts.{allow,deny} is "cupsd".
* Mon Jan 21 2002 schwab@suse.de
- Fix gcc version check.
* Tue Jan  8 2002 pblahos@suse.cz
- cups-client does not provide print_daemon anymore. print_daemon
  is required by aps but cups-client does not satisfy aps
  regarding this.
- START_CUPS variable removed
- up to 1.1.12
* Sun Nov 11 2001 bjacke@suse.de
- fixes specfile
* Sat Nov 10 2001 bjacke@suse.de
- add standard postscript PPD
- set DefaultPage{Size,Region} to A4 in ppd files
- now reqiures ghostscript_any
- add /etc/permissions.d/cups-client (#4094)
- personalize test page
- move old font directory if existing and send mail
- up to 1.1.11
* Sun Oct 21 2001 ro@suse.de
- remove ghostscript-fonts-std from neededforbuild, this is only
  a runtime requirement
* Tue Sep  4 2001 bjacke@suse.de
- work around cups' broken tmp file handling (#10142)
* Sun Sep  2 2001 bjacke@suse.de
- move client.conf to libs package
- activate cat8 man pages
- add README.SuSE
- update lphelp
* Thu Aug 30 2001 bjacke@suse.de
- split into cups-client and cups(-server) package
- add %%ghosty smb printer backend support
- re-add ogonky for non-latin1 charsets (#9864)
- add printanalyzer script in doc
* Mon Aug 27 2001 utuerk@suse.de
- removed cups.conf (now provided by susehelp)
* Mon Aug 27 2001 kukuk@suse.de
- Remove -j parameter from spec file
* Sat Aug 25 2001 bjacke@suse.de
- update to 1.1.10-1 (many fixes)
- fix output for dvi's (bug #9862)
- new poll_ppd_base
* Sun Aug 19 2001 bjacke@suse.de
- split out cups-libs from cups
- add ssl directory
- make correct links for cups libraries
* Thu Aug 16 2001 bjacke@suse.de
- use ghostscript fonts which are the same as the cups fonts and adjust
  dependecy for ghostscript-fonts-std
* Sun Aug 12 2001 bjacke@suse.de
- enable SSL
* Fri Aug 10 2001 bjacke@suse.de
- correct init script
* Fri Jul 20 2001 max@suse.de
- new version 1.1.9 .
- updated init script to new skeleton (Bug #8981).
* Mon Jun 18 2001 max@suse.de
- added support for PS files created by Netscape.
* Sun Apr 15 2001 schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 max@suse.de
- moved foomatic-gswrapper and cupsomatic
  from cups-drivers to cups
* Thu Apr 12 2001 max@suse.de
- patched cupsd to use /dev/urandom instead of /dev/random.
  This fixes bug #6703
* Wed Apr 11 2001 max@suse.de
- spec file overhaul
- using RPM_BUILD_ROOT now
- removed /etc/printcap from file list
- removed dependency to cups-drivers
* Tue Apr 10 2001 kendy@suse.cz
- Wake up Epson Stylus USB printers before sending the print job.
- Added czech translations (czech.dif).
* Mon Apr  2 2001 utuerk@suse.de
- added cups.conf for susehelp
* Fri Mar 23 2001 kendy@suse.cz
- USB printers can be now addressed using URI
  usb:<device_without_number>?vendor=<xxxx>&prod_id=<yyyy>
  where <xxxx> and <yyyy> are USB identification numbers.
  (e.g. usb:/dev/usb/lp?vendor=04a9&prod_id=1052 for Canon BJC-6100)
- fixed pplication/dvi -> application/dvi in conf/mime.convs
* Mon Feb 26 2001 mhafner@suse.de
- update to 1.1.6-3 (fixing several security issues)
* Tue Jan 30 2001 mhafner@suse.de
- update to 1.1.6 (fixes possible DoS attack)
* Mon Jan  8 2001 bjacke@suse.de
- added missing reqiures for cups-drivers
* Fri Dec 22 2000 mhafner@suse.de
- update to version 1.1.5
* Mon Dec  4 2000 mhafner@suse.de
- cups configuration changed - Browsing now Off by default
* Thu Nov 30 2000 mhafner@suse.de
- added DVI filter
* Wed Nov 29 2000 ro@suse.de
- fixed spec
* Tue Nov 28 2000 ro@suse.de
- fixed startscript
* Fri Nov 24 2000 mhafner@suse.de
- added rc.config fillup and SuSEconfig script to automatically
  set browse address if demanded
* Wed Nov 22 2000 mhafner@suse.de
- split into system and development package
* Fri Oct  6 2000 mhafner@suse.de
- documentation root changed
* Fri Oct  6 2000 mhafner@suse.de
- update to version 1.1.4
- small changes in spec file
* Mon Sep 25 2000 mhafner@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 mhafner@suse.de
- update to version 1.1.3
* Thu Sep 14 2000 mhafner@suse.de
- restart daemon if already started
- added two little tools (poll_ppd_base, lphelp)
- added a few compatibility links
* Thu Sep 14 2000 mhafner@suse.de
- turned automatic generation of printcap on
- turned implicit classes off since they are buggy
* Wed Sep 13 2000 mhafner@suse.de
- fixed directory structure
- added links to lpd and rclpd
* Fri Sep  1 2000 adrian@suse.de
- added Conflicts line
* Mon Aug 28 2000 adrian@suse.de
- initial package
